{
  "_args": [
    [
      {
        "raw": "npmi@^2.0.1",
        "scope": null,
        "escapedName": "npmi",
        "name": "npmi",
        "rawSpec": "^2.0.1",
        "spec": ">=2.0.1 <3.0.0",
        "type": "range"
      },
      "/build/npm-check-updates/src/npm-check-updates-2.11.0.tgz"
    ]
  ],
  "_from": "npmi@>=2.0.1 <3.0.0",
  "_id": "npmi@2.0.1",
  "_inCache": true,
  "_location": "/npm-check-updates/npmi",
  "_nodeVersion": "4.3.1",
  "_npmOperationalInternal": {
    "host": "packages-16-east.internal.npmjs.com",
    "tmp": "tmp/npmi-2.0.1.tgz_1461228789842_0.8506583773996681"
  },
  "_npmUser": {
    "name": "leiko",
    "email": "max.tricoire@gmail.com"
  },
  "_npmVersion": "3.8.0",
  "_phantomChildren": {},
  "_requested": {
    "raw": "npmi@^2.0.1",
    "scope": null,
    "escapedName": "npmi",
    "name": "npmi",
    "rawSpec": "^2.0.1",
    "spec": ">=2.0.1 <3.0.0",
    "type": "range"
  },
  "_requiredBy": [
    "/npm-check-updates"
  ],
  "_resolved": "https://registry.npmjs.org/npmi/-/npmi-2.0.1.tgz",
  "_shasum": "32607657e1bd47ca857ab4e9d98f0a0cff96bcea",
  "_shrinkwrap": null,
  "_spec": "npmi@^2.0.1",
  "_where": "/build/npm-check-updates/src/npm-check-updates-2.11.0.tgz",
  "author": {
    "name": "Maxime Tricoire",
    "email": "max.tricoire@gmail.com"
  },
  "bugs": {
    "url": "https://github.com/maxleiko/npmi/issues"
  },
  "dependencies": {
    "npm": "^3",
    "semver": "^4.1.0"
  },
  "description": "Gives a simplier API to npm install (programatically installs stuffs)",
  "devDependencies": {},
  "directories": {},
  "dist": {
    "shasum": "32607657e1bd47ca857ab4e9d98f0a0cff96bcea",
    "tarball": "https://registry.npmjs.org/npmi/-/npmi-2.0.1.tgz"
  },
  "gitHead": "ca695e69abbd71a7bad8a454fadfa905ca731bc5",
  "homepage": "https://github.com/maxleiko/npmi",
  "keywords": [
    "npm",
    "install",
    "api",
    "programatically"
  ],
  "license": "MIT",
  "main": "npmi.js",
  "maintainers": [
    {
      "name": "leiko",
      "email": "max.tricoire@gmail.com"
    }
  ],
  "name": "npmi",
  "optionalDependencies": {},
  "readme": "npmi [![Build Status](https://travis-ci.org/maxleiko/npmi.svg)](https://travis-ci.org/maxleiko/npmi)\n====\n\nNodeJS package that gives a simplier API to npm install (programatically installs things)\n\n### Installation\n```sh\nnpm install npmi --save\n```\n\n### Options\n#### options.name\n__Type:__ `String`\n__Optional:__ `true`\n\nIf you don't specify a `name` in options, but just a `path`, __npmi__ will do the same as if you were at this path in a terminal and executing `npm install`  \nOtherwise, it will install the module specified by this name like `npm install module-name` does.\n\n#### options.version\n__Type:__ `String`\n__Optional:__ `true`\n__Default__ `'latest'`\n\nDesired version for installation\n\n#### options.path\n__Type:__ `String`\n__Optional:__ `true`\n__Default__ `'.'`\n\nDesired location for installation (note that if you specified /some/foo/path, __npm__ will automatically create a `node_modules` sub-folder at this location, resulting in `/some/foo/path/node_modules`). So don't specify the `node_modules` part in your path\n\n#### options.forceInstall\n__Type:__ `Boolean`\n__Optional:__ `true`\n__Default__ `false`\n\nIf true, __npmi__ will install `options.name` module even though it has already been installed.  \nIf false, __npmi__ will check if the module is already installed, if it is, it will also check if the installed version is equal to `options.version`, otherwise, it will install `options.name@options.version`\n\n#### options.localInstall\n__Type:__ `Boolean`\n__Optional:__ `true`\n__Default__ `false`\n\nAllows __npmi__ to install local module that are not on __npm registry__. If, you want to install a local module by specifying its full path in `options.name`, you need to set this to `true`.\n\n#### options.npmLoad\n__Type:__ `Object`\n__Optional:__ `true`\n__Default__ `{loglevel: 'silent'}`\n\nThis object is given to __npm__ and allows you to do some fine-grained npm configurations.  \nIt is processed by __npm__ like command-line arguments but within an Object map ([npm-config](https://www.npmjs.org/doc/misc/npm-config.html))\n\n### Usage example\n```js\nvar npmi = require('npmi');\nvar path = require('path');\n\nconsole.log(npmi.NPM_VERSION); // prints the installed npm version used by npmi\n\n\nvar options = {\n\tname: 'your-module',\t// your module name\n\tversion: '0.0.1',\t\t// expected version [default: 'latest']\n\tpath: '.',\t\t\t\t// installation path [default: '.']\n\tforceInstall: false,\t// force install if set to true (even if already installed, it will do a reinstall) [default: false]\n\tnpmLoad: {\t\t\t\t// npm.load(options, callback): this is the \"options\" given to npm.load()\n\t\tloglevel: 'silent'\t// [default: {loglevel: 'silent'}]\n\t}\n};\nnpmi(options, function (err, result) {\n\tif (err) {\n\t\tif \t\t(err.code === npmi.LOAD_ERR) \tconsole.log('npm load error');\n\t\telse if (err.code === npmi.INSTALL_ERR) console.log('npm install error');\n\t\treturn console.log(err.message);\n\t}\n\n\t// installed\n\tconsole.log(options.name+'@'+options.version+' installed successfully in '+path.resolve(options.path));\n});\n```\n",
  "readmeFilename": "README.md",
  "repository": {
    "type": "git",
    "url": "git://github.com/maxleiko/npmi.git"
  },
  "scripts": {
    "test": "mocha"
  },
  "version": "2.0.1"
}
